DROP TABLE ilabuser.DATE_DIM;
CREATE TABLE ilabuser.DATE_DIM
(
   D_DATE_SK decimal(22,0) PRIMARY KEY NOT NULL,
   D_DATE_ID char(16) NOT NULL,
   D_DATE timestamp,
   D_MONTH_SEQ decimal(22,0),
   D_WEEK_SEQ decimal(22,0),
   D_QUARTER_SEQ decimal(22,0),
   D_YEAR decimal(22,0),
   D_DOW decimal(22,0),
   D_MOY decimal(22,0),
   D_DOM decimal(22,0),
   D_QOY decimal(22,0),
   D_FY_YEAR decimal(22,0),
   D_FY_QUARTER_SEQ decimal(22,0),
   D_FY_WEEK_SEQ decimal(22,0),
   D_DAY_NAME char(9),
   D_QUARTER_NAME char(6),
   D_HOLIDAY char(1),
   D_WEEKEND char(1),
   D_FOLLOWING_HOLIDAY char(1),
   D_FIRST_DOM decimal(22,0),
   D_LAST_DOM decimal(22,0),
   D_SAME_DAY_LY decimal(22,0),
   D_SAME_DAY_LQ decimal(22,0),
   D_CURRENT_DAY char(1),
   D_CURRENT_WEEK char(1),
   D_CURRENT_MONTH char(1),
   D_CURRENT_QUARTER char(1),
   D_CURRENT_YEAR char(1)
)
;
CREATE UNIQUE INDEX SYS_C0020770 ON ilabuser.DATE_DIM(D_DATE_SK)
;

DROP TABLE ilabuser.CUSTOMER;
CREATE TABLE ilabuser.CUSTOMER
(
   C_CUSTOMER_SK decimal(22,0) PRIMARY KEY NOT NULL,
   C_CUSTOMER_ID char(16) NOT NULL,
   C_CURRENT_CDEMO_SK decimal(22,0),
   C_CURRENT_HDEMO_SK decimal(22,0),
   C_CURRENT_ADDR_SK decimal(22,0),
   C_FIRST_SHIPTO_DATE_SK decimal(22,0),
   C_FIRST_SALES_DATE_SK decimal(22,0),
   C_SALUTATION char(10),
   C_FIRST_NAME char(20),
   C_LAST_NAME char(30),
   C_PREFERRED_CUST_FLAG char(1),
   C_BIRTH_DAY decimal(22,0),
   C_BIRTH_MONTH decimal(22,0),
   C_BIRTH_YEAR decimal(22,0),
   C_BIRTH_COUNTRY varchar2(20),
   C_LOGIN char(13),
   C_EMAIL_ADDRESS char(50),
   C_LAST_REVIEW_DATE char(10)
)
;
CREATE UNIQUE INDEX NEHA6 ON ilabuser.CUSTOMER(C_CUSTOMER_ID)
;
CREATE INDEX NEHA5 ON ilabuser.CUSTOMER(C_BIRTH_YEAR)
;
CREATE UNIQUE INDEX SYS_C0020796 ON ilabuser.CUSTOMER(C_CUSTOMER_SK)
;

DROP TABLE ilabuser.PROMOTION;

CREATE TABLE ilabuser.PROMOTION
(
   P_PROMO_SK decimal(22,0) PRIMARY KEY NOT NULL,
   P_PROMO_ID char(16) NOT NULL,
   P_START_DATE_SK decimal(22,0),
   P_END_DATE_SK decimal(22,0),
   P_ITEM_SK decimal(22,0),
   P_COST decimal(15,2),
   P_RESPONSE_TARGET decimal(22,0),
   P_PROMO_NAME char(50),
   P_CHANNEL_DMAIL char(1),
   P_CHANNEL_EMAIL char(1),
   P_CHANNEL_CATALOG char(1),
   P_CHANNEL_TV char(1),
   P_CHANNEL_RADIO char(1),
   P_CHANNEL_PRESS char(1),
   P_CHANNEL_EVENT char(1),
   P_CHANNEL_DEMO char(1),
   P_CHANNEL_DETAILS varchar2(100),
   P_PURPOSE char(15),
   P_DISCOUNT_ACTIVE varchar2(20)
)
;
CREATE UNIQUE INDEX SYS_C0021386 ON ilabuser.PROMOTION(P_PROMO_SK)
;

DROP TABLE ilabuser.INVENTORY;
CREATE TABLE ilabuser.INVENTORY
(
   INV_DATE_SK decimal(38,0),
   INV_ITEM_SK decimal(38,0),
   INV_WAREHOUSE_SK decimal(38,0),
   INV_QUANTITY_ON_HAND decimal(38,0)
)
;
DROP TABLE ilabuser.WAREHOUSE;

CREATE TABLE ilabuser.WAREHOUSE
(
   W_WAREHOUSE_SK decimal(22,0) PRIMARY KEY NOT NULL,
   W_WAREHOUSE_ID char(16) NOT NULL,
   W_WAREHOUSE_NAME varchar2(20),
   W_WAREHOUSE_SQ_FT decimal(22,0),
   W_STREET_NUMBER char(10),
   W_STREET_NAME varchar2(60),
   W_STREET_TYPE char(15),
   W_SUITE_NUMBER char(10),
   W_CITY varchar2(60),
   W_COUNTY varchar2(30),
   W_STATE char(2),
   W_ZIP char(10),
   W_COUNTRY varchar2(20),
   W_GMT_OFFSET decimal(5,2)
)
;
CREATE UNIQUE INDEX SYS_C0020773 ON ilabuser.WAREHOUSE(W_WAREHOUSE_SK)
;

DROP TABLE ilabuser.ITEM;

CREATE TABLE ilabuser.ITEM
(
   I_ITEM_SK decimal(22,0) PRIMARY KEY NOT NULL,
   I_ITEM_ID char(16) NOT NULL,
   I_REC_START_DATE timestamp,
   I_REC_END_DATE timestamp,
   I_ITEM_DESC varchar2(200),
   I_CURRENT_PRICE decimal(7,2),
   I_WHOLESALE_COST decimal(7,2),
   I_BRAND_ID decimal(22,0),
   I_BRAND char(50),
   I_CLASS_ID decimal(22,0),
   I_CLASS char(50),
   I_CATEGORY_ID decimal(22,0),
   I_CATEGORY char(50),
   I_MANUFACT_ID decimal(22,0),
   I_MANUFACT char(50),
   I_SIZE char(20),
   I_FORMULATION char(20),
   I_COLOR char(20),
   I_UNITS char(10),
   I_CONTAINER char(10),
   I_MANAGER_ID decimal(22,0),
   I_PRODUCT_NAME char(50)
)
;
CREATE UNIQUE INDEX SYS_C0020787 ON ilabuser.ITEM(I_ITEM_SK)
;

DROP TABLE ilabuser.orders;

CREATE TABLE ilabuser.orders
( order_id integer NOT NULL,
  customer_ref varchar2(50) NOT NULL,
  order_date date,
  product_id integer,
  quantity integer,
  CONSTRAINT orders_pk PRIMARY KEY (order_id)
);