DROP TABLE "newtpcds"."dbo"."date_dim";
CREATE TABLE "newtpcds"."dbo"."date_dim"
(
   d_date_sk int PRIMARY KEY NOT NULL,
   d_date_id char(16) NOT NULL,
   d_date datetime,
   d_month_seq int,
   d_week_seq int,
   d_quarter_seq int,
   d_year int,
   d_dow int,
   d_moy int,
   d_dom int,
   d_qoy int,
   d_fy_year int,
   d_fy_quarter_seq int,
   d_fy_week_seq int,
   d_day_name char(9),
   d_quarter_name char(6),
   d_holiday char(1),
   d_weekend char(1),
   d_following_holiday char(1),
   d_first_dom int,
   d_last_dom int,
   d_same_day_ly int,
   d_same_day_lq int,
   d_current_day char(1),
   d_current_week char(1),
   d_current_month char(1),
   d_current_quarter char(1),
   d_current_year char(1)
)
;
CREATE UNIQUE INDEX PK__date_dim__06A4A8B043A0D605 ON "newtpcds"."dbo"."date_dim"(d_date_sk)
;

DROP TABLE "newtpcds"."dbo"."customer";
CREATE TABLE "newtpcds"."dbo"."customer"
(
   c_customer_sk int PRIMARY KEY NOT NULL,
   c_customer_id char(16) NOT NULL,
   c_current_cdemo_sk int,
   c_current_hdemo_sk int,
   c_current_addr_sk int,
   c_first_shipto_date_sk int,
   c_first_sales_date_sk int,
   c_salutation char(10),
   c_first_name char(20),
   c_last_name char(30),
   c_preferred_cust_flag char(1),
   c_birth_day int,
   c_birth_month int,
   c_birth_year int,
   c_birth_country varchar(20),
   c_login char(13),
   c_email_address char(50),
   c_last_review_date char(10)
)
;
CREATE UNIQUE INDEX PK__customer__63138C6C181EA489 ON "newtpcds"."dbo"."customer"(c_customer_sk)
;

DROP TABLE "newtpcds"."dbo"."promotion";
CREATE TABLE "newtpcds"."dbo"."promotion"
(
   p_promo_sk int PRIMARY KEY NOT NULL,
   p_promo_id char(16) NOT NULL,
   p_start_date_sk int,
   p_end_date_sk int,
   p_item_sk int,
   p_cost decimal(15,2),
   p_response_target int,
   p_promo_name char(50),
   p_channel_dmail char(1),
   p_channel_email char(1),
   p_channel_catalog char(1),
   p_channel_tv char(1),
   p_channel_radio char(1),
   p_channel_press char(1),
   p_channel_event char(1),
   p_channel_demo char(1),
   p_channel_details varchar(100),
   p_purpose char(15),
   p_discount_active char(1)
)
;
CREATE UNIQUE INDEX PK__promotio__AFECE7CC53B25DFA ON "newtpcds"."dbo"."promotion"(p_promo_sk)
;

DROP TABLE "newtpcds"."dbo"."inventory";
CREATE TABLE "newtpcds"."dbo"."inventory"
(
   inv_date_sk int NOT NULL,
   inv_item_sk int NOT NULL,
   inv_warehouse_sk int NOT NULL,
   inv_quantity_on_hand int,
   CONSTRAINT PK__inventor__683BA14E62A307B8 PRIMARY KEY (inv_date_sk,inv_item_sk,inv_warehouse_sk)
)
;
CREATE UNIQUE INDEX PK__inventor__683BA14E62A307B8 ON "newtpcds"."dbo"."inventory"
(
  inv_date_sk,
  inv_item_sk,
  inv_warehouse_sk
)
;
DROP TABLE "newtpcds"."dbo"."warehouse";
CREATE TABLE "newtpcds"."dbo"."warehouse"
(
   w_warehouse_sk int PRIMARY KEY NOT NULL,
   w_warehouse_id char(16) NOT NULL,
   w_warehouse_name varchar(20),
   w_warehouse_sq_ft int,
   w_street_number char(10),
   w_street_name varchar(60),
   w_street_type char(15),
   w_suite_number char(10),
   w_city varchar(60),
   w_county varchar(30),
   w_state char(2),
   w_zip char(10),
   w_country varchar(20),
   w_gmt_offset decimal(5,2)
)
;
CREATE UNIQUE INDEX PK__warehous__EF7260979ACB7DC8 ON "newtpcds"."dbo"."warehouse"(w_warehouse_sk)
;

DROP TABLE "newtpcds"."dbo"."item"
CREATE TABLE "newtpcds"."dbo"."item"
(
   i_item_sk int PRIMARY KEY NOT NULL,
   i_item_id char(16) NOT NULL,
   i_rec_start_date datetime,
   i_rec_end_date datetime,
   i_item_desc varchar(200),
   i_current_price decimal(7,2),
   i_wholesale_cost decimal(7,2),
   i_brand_id int,
   i_brand char(50),
   i_class_id int,
   i_class char(50),
   i_category_id int,
   i_category char(50),
   i_manufact_id int,
   i_manufact char(50),
   i_size char(20),
   i_formulation char(20),
   i_color char(20),
   i_units char(10),
   i_container char(10),
   i_manager_id int,
   i_product_name char(50)
)
;
CREATE UNIQUE INDEX PK__item__2716E44CEEFC5716 ON "newtpcds"."dbo"."item"(i_item_sk)
;

