CREATE SET TABLE ds_tbl_db.CUST_ADD ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ca_add_sk INTEGER,
      ca_add_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_strt_name VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      CA_CITY VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_zp CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC)
PRIMARY INDEX ( ca_add_sk );

CREATE SET TABLE ds_tbl_db.date_dim ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      d_date_sk INTEGER NOT NULL,
      d_date_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      d_date DATE FORMAT 'YY/MM/DD',
      d_month_seq INTEGER,
      d_week_seq INTEGER,
      d_quarter_seq INTEGER,
      d_year INTEGER,
      d_dow INTEGER,
      d_moy INTEGER,
      d_dom INTEGER,
      d_qoy INTEGER,
      d_fy_year INTEGER,
      d_fy_quarter_seq INTEGER,
      d_fy_week_seq INTEGER,
      d_day_name CHAR(9) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_quarter_name CHAR(6) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_holiday CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_weekend CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_following_holiday CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_first_dom INTEGER,
      d_last_dom INTEGER,
      d_same_day_ly INTEGER,
      d_same_day_lq INTEGER,
      d_current_day CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_week CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_month CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_quarter CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_year CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY ( d_date_sk ))
;

CREATE SET TABLE ds_tbl_db.warehouse ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      w_warehouse_sk INTEGER NOT NULL,
      w_warehouse_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      w_warehouse_name VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_warehouse_sq_ft INTEGER,
      w_street_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_street_name VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_street_type CHAR(15) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_suite_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_county VARCHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_state CHAR(2) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_zip CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_gmt_offset DECIMAL(5,2), 
PRIMARY KEY ( w_warehouse_sk ))
;

CREATE SET TABLE ds_tbl_db.inventory ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      inv_date_sk INTEGER NOT NULL,
      inv_item_sk INTEGER NOT NULL,
      inv_warehouse_sk INTEGER NOT NULL,
      inv_quantity_on_hand INTEGER, 
PRIMARY KEY ( inv_date_sk ,inv_item_sk ,inv_warehouse_sk ))
;

CREATE SET TABLE ds_tbl_db.store_sales ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
(
   ss_sold_date_sk INTEGER,
   ss_sold_time_sk INTEGER,
   ss_item_sk INTEGER not null,
   ss_customer_sk INTEGER,
   ss_cdemo_sk INTEGER,
   ss_hdemo_sk INTEGER,
   ss_addr_sk INTEGER,
   ss_store_sk INTEGER,
   ss_promo_sk INTEGER,
   ss_ticket_number INTEGER not null,
   ss_quantity INTEGER,
   ss_wholesale_cost DECIMAL(7,2),
   ss_list_price DECIMAL(7,2),
   ss_sales_price DECIMAL(7,2),
   ss_ext_discount_amt DECIMAL(7,2),
   ss_ext_sales_price DECIMAL(7,2),
   ss_ext_wholesale_cost DECIMAL(7,2),
   ss_ext_list_price DECIMAL(7,2),
   ss_ext_tax DECIMAL(7,2),
   ss_coupon_amt DECIMAL(7,2),
   ss_net_paid DECIMAL(7,2),
   ss_net_paid_inc_tax DECIMAL(7,2),
   ss_net_profit DECIMAL(7,2),
   CONSTRAINT store_sales_PK PRIMARY KEY (ss_item_sk,ss_ticket_number)
);



CREATE SET TABLE ds_tbl_db.Camp_Opp_All ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ss_sold_date_sk INTEGER,
      ss_sold_time_sk INTEGER,
      ss_item_sk INTEGER,
      ss_customer_sk INTEGER,
      ss_cdemo_sk INTEGER,
      ss_hdemo_sk INTEGER,
      ss_addr_sk INTEGER,
      ss_store_sk INTEGER,
      ss_promo_sk INTEGER,
      ss_ticket_number INTEGER,
      ss_quantity INTEGER,
      ss_wholesale_cost DECIMAL(7,2),
      ss_list_price DECIMAL(7,2),
      ss_sales_price DECIMAL(7,2),
      ss_ext_discount_amt DECIMAL(7,2),
      ss_ext_sales_price DECIMAL(7,2),
      ss_ext_wholesale_cost DECIMAL(7,2),
      ss_ext_list_price DECIMAL(7,2),
      ss_ext_tax DECIMAL(7,2),
      ss_coupon_amt DECIMAL(7,2),
      ss_net_paid DECIMAL(7,2),
      ss_net_paid_inc_tax DECIMAL(7,2),
      ss_net_profit DECIMAL(7,2))
PRIMARY INDEX ( ss_sold_date_sk );


CREATE SET TABLE ds_tbl_db.HFI_Temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ca_zip CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC)
PRIMARY INDEX ( ca_zip );


CREATE SET TABLE ds_tbl_db.TEMPWAR ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      temp_sk INTEGER,
      temp_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC,
      temp_name VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      temp_sq_ft INTEGER,
      temp_city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      temp_state CHAR(2) CHARACTER SET LATIN NOT CASESPECIFIC)
PRIMARY INDEX ( temp_sk );


CREATE SET TABLE ds_tbl_db.bussiness ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      sold_date INTEGER,
      sold_time INTEGER,
      ship_date INTEGER,
      customer_bill INTEGER,
      customer_add INTEGER,
      catalog_page INTEGER,
      transport INTEGER,
      ord_num INTEGER,
      item INTEGER,
      bill DECIMAL(7,2),
      discount DECIMAL(7,2),
      amount DECIMAL(7,2),
      tax DECIMAL(7,2),
      qty INTEGER,
      profit DECIMAL(7,2))
PRIMARY INDEX ( sold_date );


CREATE SET TABLE ds_tbl_db.customer_address_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ca_address_sk INTEGER,
      ca_address_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_street_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_street_name VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_street_type CHAR(15) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_suite_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_county VARCHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_state CHAR(2) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_zip CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_location_type CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC)
PRIMARY INDEX ( ca_address_sk );


CREATE SET TABLE ds_tbl_db.exchange ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      return_date INTEGER,
      return_time INTEGER,
      item INTEGER,
      customer INTEGER,
      address INTEGER,
      transport INTEGER,
      ware_house INTEGER,
      order_number INTEGER,
      qty INTEGER,
      amount DECIMAL(7,2),
      tax DECIMAL(7,2),
      fee DECIMAL(7,2),
      loss DECIMAL(7,2),
      cash DECIMAL(7,2))
PRIMARY INDEX ( return_date );


CREATE SET TABLE ds_tbl_db.shop ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      store INTEGER,
      store_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC,
      start_date DATE FORMAT 'YY/MM/DD',
      end_date DATE FORMAT 'YY/MM/DD',
      closed_date INTEGER,
      name VARCHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      staff_strength INTEGER,
      hours CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      market_id INTEGER,
      div_id INTEGER,
      div_name VARCHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      com_id INTEGER,
      c_name VARCHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      tax DECIMAL(5,2))
PRIMARY INDEX ( store );


CREATE SET TABLE ds_tbl_db.w_returns ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      return_date INTEGER,
      return_time INTEGER,
      item INTEGER,
      refunded_customer INTEGER,
      refunded_address INTEGER,
      reason INTEGER,
      ord_num INTEGER,
      qty INTEGER,
      amount DECIMAL(7,2),
      tax DECIMAL(7,2),
      fee DECIMAL(7,2),
      ship_cost DECIMAL(7,2),
      loss DECIMAL(7,2))
PRIMARY INDEX ( return_date );


CREATE SET TABLE ds_tbl_db.w_sale ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      sold_dt INTEGER,
      sold_time INTEGER,
      shpping_date INTEGER,
      item INTEGER,
      bill INTEGER,
      address INTEGER,
      web_site INTEGER,
      transport INTEGER,
      ware_house INTEGER,
      order_num INTEGER,
      qty INTEGER,
      cost DECIMAL(7,2),
      discount DECIMAL(7,2),
      coupon_amt DECIMAL(7,2),
      transport_cost DECIMAL(7,2),
      profit DECIMAL(7,2))
PRIMARY INDEX ( sold_dt );


CREATE SET TABLE ds_tbl_db.catalog_returns_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      cr_returned_date_sk INTEGER,
      cr_returned_time_sk INTEGER,
      cr_item_sk INTEGER,
      cr_refunded_customer_sk INTEGER,
      cr_refunded_cdemo_sk INTEGER,
      cr_refunded_hdemo_sk INTEGER,
      cr_refunded_addr_sk INTEGER,
      cr_returning_customer_sk INTEGER,
      cr_returning_cdemo_sk INTEGER,
      cr_returning_hdemo_sk INTEGER,
      cr_returning_addr_sk INTEGER,
      cr_call_center_sk INTEGER,
      cr_catalog_page_sk INTEGER,
      cr_ship_mode_sk INTEGER,
      cr_warehouse_sk INTEGER,
      cr_reason_sk INTEGER,
      cr_order_number INTEGER,
      cr_return_quantity INTEGER,
      cr_return_amount DECIMAL(7,2),
      cr_return_tax DECIMAL(7,2),
      cr_return_amt_inc_tax DECIMAL(7,2),
      cr_fee DECIMAL(7,2),
      cr_return_ship_cost DECIMAL(7,2),
      cr_refunded_cash DECIMAL(7,2),
      cr_reversed_charge DECIMAL(7,2),
      cr_store_credit DECIMAL(7,2),
      cr_net_loss DECIMAL(7,2))
PRIMARY INDEX ( cr_returned_date_sk );

CREATE SET TABLE ds_tbl_db.CATALOG_SALES_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      cs_sold_date_sk INTEGER,
      cs_sold_time_sk INTEGER,
      cs_ship_date_sk INTEGER,
      cs_bill_customer_sk INTEGER,
      cs_bill_cdemo_sk INTEGER,
      cs_bill_hdemo_sk INTEGER,
      cs_bill_addr_sk INTEGER,
      cs_ship_customer_sk INTEGER,
      cs_ship_cdemo_sk INTEGER,
      cs_ship_hdemo_sk INTEGER,
      cs_ship_addr_sk INTEGER,
      cs_call_center_sk INTEGER,
      cs_catalog_page_sk INTEGER,
      cs_ship_mode_sk INTEGER,
      cs_warehouse_sk INTEGER,
      cs_item_sk INTEGER NOT NULL,
      cs_promo_sk INTEGER,
      cs_order_number INTEGER NOT NULL,
      cs_quantity INTEGER,
      cs_wholesale_cost DECIMAL(7,2),
      cs_list_price DECIMAL(7,2),
      cs_sales_price DECIMAL(7,2),
      cs_ext_discount_amt DECIMAL(7,2),
      cs_ext_sales_price DECIMAL(7,2),
      cs_ext_wholesale_cost DECIMAL(7,2),
      cs_ext_list_price DECIMAL(7,2),
      cs_ext_tax DECIMAL(7,2),
      cs_coupon_amt DECIMAL(7,2),
      cs_ext_ship_cost DECIMAL(7,2),
      cs_net_paid DECIMAL(7,2),
      cs_net_paid_inc_tax DECIMAL(7,2),
      cs_net_paid_inc_ship DECIMAL(7,2),
      cs_net_paid_inc_ship_tax DECIMAL(7,2),
      cs_net_profit DECIMAL(7,2), 
CONSTRAINT pk_catalog_sales PRIMARY KEY ( cs_item_sk ,cs_order_number ))
PRIMARY INDEX ( cs_sold_date_sk );

CREATE SET TABLE ds_tbl_db.customer_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      c_customer_sk INTEGER NOT NULL,
      c_customer_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      c_current_cdemo_sk INTEGER,
      c_current_hdemo_sk INTEGER,
      c_current_addr_sk INTEGER,
      c_first_shipto_date_sk INTEGER,
      c_first_sales_date_sk INTEGER,
      c_salutation CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_first_name CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_last_name CHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_preferred_cust_flag CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_birth_day INTEGER,
      c_birth_month INTEGER,
      c_birth_year INTEGER,
      c_birth_country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_login CHAR(13) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_email_address CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      c_last_review_date CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY ( c_customer_sk ))
;

CREATE SET TABLE ds_tbl_db.customer_address_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ca_address_sk INTEGER NOT NULL,
      ca_address_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      ca_street_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_street_name VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_street_type CHAR(15) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_suite_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_county VARCHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_state CHAR(2) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_zip CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      ca_gmt_offset DECIMAL(5,2),
      ca_location_type CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY ( ca_address_sk ))
;

CREATE SET TABLE ds_tbl_db.DATE_DIM_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      d_date_sk INTEGER NOT NULL,
      d_date_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      d_date DATE FORMAT 'YY/MM/DD',
      d_month_seq INTEGER,
      d_week_seq INTEGER,
      d_quarter_seq INTEGER,
      d_year INTEGER,
      d_dow INTEGER,
      d_moy INTEGER,
      d_dom INTEGER,
      d_qoy INTEGER,
      d_fy_year INTEGER,
      d_fy_quarter_seq INTEGER,
      d_fy_week_seq INTEGER,
      d_day_name CHAR(9) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_quarter_name CHAR(6) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_holiday CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_weekend CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_following_holiday CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_first_dom INTEGER,
      d_last_dom INTEGER,
      d_same_day_ly INTEGER,
      d_same_day_lq INTEGER,
      d_current_day CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_week CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_month CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_quarter CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      d_current_year CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY ( d_date_sk ))
;

CREATE SET TABLE ds_tbl_db.INVENTORY_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      inv_date_sk INTEGER NOT NULL,
      inv_item_sk INTEGER NOT NULL,
      inv_warehouse_sk INTEGER NOT NULL,
      inv_quantity_on_hand INTEGER, 
PRIMARY KEY ( inv_date_sk ,inv_item_sk ,inv_warehouse_sk ))
;

CREATE SET TABLE ds_tbl_db.item_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      i_item_sk INTEGER NOT NULL,
      i_item_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      i_rec_start_date DATE FORMAT 'YY/MM/DD',
      i_rec_end_date DATE FORMAT 'YY/MM/DD',
      i_item_desc VARCHAR(200) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_current_price DECIMAL(7,2),
      i_wholesale_cost DECIMAL(7,2),
      i_brand_id INTEGER,
      i_brand CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_class_id INTEGER,
      i_class CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_category_id INTEGER,
      i_category CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_manufact_id INTEGER,
      i_manufact CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_size CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_formulation CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_color CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_units CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_container CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      i_manager_id INTEGER,
      i_product_name CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY ( i_item_sk ))
;

CREATE SET TABLE ds_tbl_db.store_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      s_store_sk INTEGER NOT NULL,
      s_store_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      s_rec_start_date DATE FORMAT 'YY/MM/DD',
      s_rec_end_date DATE FORMAT 'YY/MM/DD',
      s_closed_date_sk INTEGER,
      s_store_name VARCHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_number_employees INTEGER,
      s_floor_space INTEGER,
      s_hours CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_manager VARCHAR(40) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_market_id INTEGER,
      s_geography_class VARCHAR(100) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_market_desc VARCHAR(100) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_market_manager VARCHAR(40) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_division_id INTEGER,
      s_division_name VARCHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_company_id INTEGER,
      s_company_name VARCHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_street_number VARCHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_street_name VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_street_type CHAR(15) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_suite_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_county VARCHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_state CHAR(2) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_zip CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      s_gmt_offset DECIMAL(5,2),
      s_tax_precentage DECIMAL(5,2), 
PRIMARY KEY ( s_store_sk ))
;

CREATE SET TABLE ds_tbl_db.store_returns_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      sr_returned_date_sk INTEGER,
      sr_return_time_sk INTEGER,
      sr_item_sk INTEGER NOT NULL,
      sr_customer_sk INTEGER,
      sr_cdemo_sk INTEGER,
      sr_hdemo_sk INTEGER,
      sr_addr_sk INTEGER,
      sr_store_sk INTEGER,
      sr_reason_sk INTEGER,
      sr_ticket_number INTEGER NOT NULL,
      sr_return_quantity INTEGER,
      sr_return_amt DECIMAL(7,2),
      sr_return_tax DECIMAL(7,2),
      sr_return_amt_inc_tax DECIMAL(7,2),
      sr_fee DECIMAL(7,2),
      sr_return_ship_cost DECIMAL(7,2),
      sr_refunded_cash DECIMAL(7,2),
      sr_reversed_charge DECIMAL(7,2),
      sr_store_credit DECIMAL(7,2),
      sr_net_loss DECIMAL(7,2), 
CONSTRAINT pk_store_returns PRIMARY KEY ( sr_item_sk ,sr_ticket_number ))
PRIMARY INDEX ( sr_returned_date_sk );

CREATE SET TABLE ds_tbl_db.store_sales_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ss_sold_date_sk INTEGER,
      ss_sold_time_sk INTEGER,
      ss_item_sk INTEGER NOT NULL,
      ss_customer_sk INTEGER,
      ss_cdemo_sk INTEGER,
      ss_hdemo_sk INTEGER,
      ss_addr_sk INTEGER,
      ss_store_sk INTEGER,
      ss_promo_sk INTEGER,
      ss_ticket_number INTEGER NOT NULL,
      ss_quantity INTEGER,
      ss_wholesale_cost DECIMAL(7,2),
      ss_list_price DECIMAL(7,2),
      ss_sales_price DECIMAL(7,2),
      ss_ext_discount_amt DECIMAL(7,2),
      ss_ext_sales_price DECIMAL(7,2),
      ss_ext_wholesale_cost DECIMAL(7,2),
      ss_ext_list_price DECIMAL(7,2),
      ss_ext_tax DECIMAL(7,2),
      ss_coupon_amt DECIMAL(7,2),
      ss_net_paid DECIMAL(7,2),
      ss_net_paid_inc_tax DECIMAL(7,2),
      ss_net_profit DECIMAL(7,2), 
CONSTRAINT pk_store_sales PRIMARY KEY ( ss_item_sk ,ss_ticket_number ))
PRIMARY INDEX ( ss_sold_date_sk );

CREATE SET TABLE ds_tbl_db.WAREHOUSE_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      w_warehouse_sk INTEGER NOT NULL,
      w_warehouse_id CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      w_warehouse_name VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_warehouse_sq_ft INTEGER,
      w_street_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_street_name VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_street_type CHAR(15) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_suite_number CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_city VARCHAR(60) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_county VARCHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_state CHAR(2) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_zip CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_country VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      w_gmt_offset DECIMAL(5,2), 
PRIMARY KEY ( w_warehouse_sk ))
;

CREATE SET TABLE ds_tbl_db.web_returns_temp ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      wr_returned_date_sk INTEGER,
      wr_returned_time_sk INTEGER,
      wr_item_sk INTEGER NOT NULL,
      wr_refunded_customer_sk INTEGER,
      wr_refunded_cdemo_sk INTEGER,
      wr_refunded_hdemo_sk INTEGER,
      wr_refunded_addr_sk INTEGER,
      wr_returning_customer_sk INTEGER,
      wr_returning_cdemo_sk INTEGER,
      wr_returning_hdemo_sk INTEGER,
      wr_returning_addr_sk INTEGER,
      wr_web_page_sk INTEGER,
      wr_reason_sk INTEGER,
      wr_order_number INTEGER NOT NULL,
      wr_return_quantity INTEGER,
      wr_return_amt DECIMAL(7,2),
      wr_return_tax DECIMAL(7,2),
      wr_return_amt_inc_tax DECIMAL(7,2),
      wr_fee DECIMAL(7,2),
      wr_return_ship_cost DECIMAL(7,2),
      wr_refunded_cash DECIMAL(7,2),
      wr_reversed_charge DECIMAL(7,2),
      wr_account_credit DECIMAL(7,2),
      wr_net_loss DECIMAL(7,2), 
CONSTRAINT pk_web_returns PRIMARY KEY ( wr_item_sk ,wr_order_number ))
PRIMARY INDEX ( wr_returned_date_sk );

CREATE SET TABLE ds_tbl_db.web_sales_temp_1 ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      ws_sold_date_sk INTEGER,
      ws_sold_time_sk INTEGER,
      ws_ship_date_sk INTEGER,
      ws_item_sk INTEGER NOT NULL,
      ws_bill_customer_sk INTEGER,
      ws_bill_cdemo_sk INTEGER,
      ws_bill_hdemo_sk INTEGER,
      ws_bill_addr_sk INTEGER,
      ws_ship_customer_sk INTEGER,
      ws_ship_cdemo_sk INTEGER,
      ws_ship_hdemo_sk INTEGER,
      ws_ship_addr_sk INTEGER,
      ws_web_page_sk INTEGER,
      ws_web_site_sk INTEGER,
      ws_ship_mode_sk INTEGER,
      ws_warehouse_sk INTEGER,
      ws_promo_sk INTEGER,
      ws_order_number INTEGER NOT NULL,
      ws_quantity INTEGER,
      ws_wholesale_cost DECIMAL(7,2),
      ws_list_price DECIMAL(7,2),
      ws_sales_price DECIMAL(7,2),
      ws_ext_discount_amt DECIMAL(7,2),
      ws_ext_sales_price DECIMAL(7,2),
      ws_ext_wholesale_cost DECIMAL(7,2),
      ws_ext_list_price DECIMAL(7,2),
      ws_ext_tax DECIMAL(7,2),
      ws_coupon_amt DECIMAL(7,2),
      ws_ext_ship_cost DECIMAL(7,2),
      ws_net_paid DECIMAL(7,2),
      ws_net_paid_inc_tax DECIMAL(7,2),
      ws_net_paid_inc_ship DECIMAL(7,2),
      ws_net_paid_inc_ship_tax DECIMAL(7,2),
      ws_net_profit DECIMAL(7,2), 
CONSTRAINT pk_web_sales PRIMARY KEY ( ws_item_sk ,ws_order_number ))
PRIMARY INDEX ( ws_sold_date_sk );


CREATE SET TABLE DS_TBL_DB.CUSTOMER_1 ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      C_CUSTOMER_SK INTEGER NOT NULL,
      C_CUSTOMER_ID CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      C_CURRENT_CDEMO_SK INTEGER,
      C_CURRENT_HDEMO_SK INTEGER,
      C_CURRENT_ADDR_SK INTEGER,
      C_FIRST_SHIPTO_DATE_SK INTEGER,
      C_FIRST_SALES_DATE_SK INTEGER,
      C_SALUTATION CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_FIRST_NAME CHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_LAST_NAME CHAR(30) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_PREFERRED_CUST_FLAG CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_BIRTH_DAY INTEGER,
      C_BIRTH_MONTH INTEGER,
      C_BIRTH_YEAR INTEGER,
      C_BIRTH_COUNTRY VARCHAR(20) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_LOGIN CHAR(13) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_EMAIL_ADDRESS CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      C_LAST_REVIEW_DATE CHAR(10) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY  ( C_CUSTOMER_SK ))
;

CREATE SET TABLE DS_TBL_DB.PROMOTION ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      P_PROMO_SK INTEGER NOT NULL,
      P_PROMO_ID CHAR(16) CHARACTER SET LATIN NOT CASESPECIFIC NOT NULL,
      P_START_DATE_SK INTEGER,
      P_END_DATE_SK INTEGER,
      P_ITEM_SK INTEGER,
      P_COST DECIMAL(15,2),
      P_RESPONSE_TARGET INTEGER,
      P_PROMO_NAME CHAR(50) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_DMAIL CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_EMAIL CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_CATALOG CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_TV CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_RADIO CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_PRESS CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_EVENT CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_DEMO CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_CHANNEL_DETAILS VARCHAR(100) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_PURPOSE CHAR(15) CHARACTER SET LATIN NOT CASESPECIFIC,
      P_DISCOUNT_ACTIVE CHAR(1) CHARACTER SET LATIN NOT CASESPECIFIC, 
PRIMARY KEY ( P_PROMO_SK ))
;  



  CREATE SET TABLE ds_tbl_db.Dlq_SSN ,NO FALLBACK ,
     NO BEFORE JOURNAL,
     NO AFTER JOURNAL,
     CHECKSUM = DEFAULT,
     DEFAULT MERGEBLOCKRATIO
     (
      INV_DATE_SK INTEGER,
      INV_ITEM_SK INTEGER,
      INV_WAREHOUSE_SK INTEGER,
      INV_QUANTITY_ON_HAND INTEGER)
PRIMARY INDEX ( INV_DATE_SK );

CREATE TABLE ds_tbl_db.item
(
   i_item_sk integer PRIMARY KEY NOT NULL,
   i_item_id char(16) NOT NULL,
   i_rec_start_date date,
   i_rec_end_date date,
   i_item_desc varchar(200),
   i_current_price DECIMAL,
   i_wholesale_cost DECIMAL,
   i_brand_id integer,
   i_brand char(50),
   i_class_id integer,
   i_class char(50),
   i_category_id integer,
   i_category char(50),
   i_manufact_id integer,
   i_manufact char(50),
   i_size char(20),
   i_formulation char(20),
   i_color char(20),
   i_units char(10),
   i_container char(10),
   i_manager_id integer,
   i_product_name char(50)
)
;

CREATE TABLE ds_tbl_db.store_sales_daily
(
   ss_sold_date_sk integer NOT NULL,
   ss_item_sk integer NOT NULL,
   ss_store_sk integer NOT NULL,
   ss_quantity integer,
   ss_wholesale_cost DECIMAL,
   ss_list_price DECIMAL,
   ss_sales_price DECIMAL,
   ss_ext_discount_amt DECIMAL,
   ss_ext_sales_price DECIMAL,
   ss_ext_wholesale_cost DECIMAL,
   ss_ext_list_price DECIMAL,
   ss_ext_tax DECIMAL,
   ss_coupon_amt DECIMAL,
   ss_net_paid DECIMAL,
   ss_net_paid_inc_tax DECIMAL,
   ss_net_profit DECIMAL,
   PRIMARY KEY ( ss_sold_date_sk ,ss_item_sk ,ss_store_sk ))
   PRIMARY INDEX ( ss_sold_date_sk );
)
;

