DATABASE ds_tbl_db;

SELECT d_date_sk ,d_date_id ,d_date ,d_month_seq ,d_week_seq ,d_quarter_seq ,d_year FROM DATE_DIM WHERE D_MONTH_SEQ ^= 5 AND d_fy_year > 2000 AND d_fy_year < 2017 ORDER BY D_DATE ASC, D_DATE_SK DESC;


SELECT MAX(p_item_sk) OVER ( partition by p_promo_sk, p_start_date_sk ORDER BY p_promo_name ) AS maxover FROM promotion;


SELECT p_promo_sk, p_start_date_sk, ROW_NUMBER() OVER( partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk - p_promo_sk) ), RANK() OVER ( partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk - p_promo_sk) desc ) AS "Rank", DENSE_RANK() OVER ( partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk - p_promo_sk) desc ) AS "Dense Rank" FROM promotion;


DELETE FROM PROMOTION where P_COST =1667967615587.7;

INSERT INTO DS_TBL_DB.customer (c_customer_sk, c_customer_id, c_current_cdemo_sk, c_current_hdemo_sk, c_current_addr_sk, c_first_shipto_date_sk, c_first_sales_date_sk, c_salutation, c_first_name, c_last_name, c_preferred_cust_flag, c_birth_day, c_birth_month, c_birth_year, c_birth_country, c_login, c_email_address, c_last_review_date) VALUES ( 858511, 'AAAAAAAAJIBCAAAA', 1727047, 1517, 22034, 2451938, 2451908, 'Mr.', 'Kenneth', 'Jarrett', 'Y', 17, 6, 1941, 'NETHERLANDS ANTILLES', '', 'Kenneth.Jarrett@bm71F4fXKn.edu',0200224 );

SELECT * FROM ( Select i_class, ROW_NUMBER() OVER(PARTITION BY i_class,i_category ORDER BY i_current_price DESC,i_wholesale_cost ASC) As XRANK FROM INVENTORY TB1 INNER JOIN WAREHOUSE TB2 ON TB1.INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK INNER JOIN ITEM TB3 ON TB1.INV_ITEM_SK = TB3.I_ITEM_SK INNER JOIN DATE_DIM TB4 ON TB1.INV_DATE_SK =TB4.D_DATE_SK ) A Where XRANK <100;

SELECT * FROM WAREHOUSE W WHERE EXISTS (select * from INVENTORY I where I.INV_WAREHOUSE_SK = W.W_WAREHOUSE_SK);

SELECT * FROM INVENTORY TB1 INNER JOIN WAREHOUSE TB2 ON TB1.INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK INNER JOIN ITEM TB3 ON TB1.INV_ITEM_SK = TB3.I_ITEM_SK AND TB1.INV_DATE_SK IN ( SELECT DISTINCT D_DATE_SK FROM DATE_DIM WHERE d_fy_year BETWEEN 2001 AND 2015);

CREATE TABLE orders_tmp ( order_id integer NOT NULL, customer_ref varchar(50) NOT NULL, order_date date, product_id integer, quantity integer );


CREATE PROCEDURE refresh_aggregate_table ()
BEGIN

INSERT INTO store_sales_daily
SELECT ss_sold_date_sk
  ,ss_item_sk
  ,ss_store_sk
  ,sum(ss_quantity)
  ,AVG(ss_wholesale_cost)
  ,AVG(ss_list_price)
  ,AVG(ss_sales_price)
  ,sum(ss_ext_discount_amt)
  ,sum(ss_ext_sales_price)
  ,sum(ss_ext_wholesale_cost)
  ,sum(ss_ext_list_price)
  ,sum(ss_ext_tax)
  ,sum(ss_coupon_amt)
  ,sum(ss_net_paid)
  ,sum(ss_net_paid_inc_tax)
  ,sum(ss_net_profit)
  FROM store_sales
  WHERE ss_sold_date_sk IS NOT NULL and ss_item_sk is not null and ss_store_sk is not null 
  GROUP BY ss_sold_date_sk
  ,ss_item_sk
  ,ss_store_sk;

  END;
  
  call refresh_aggregate_table();


MERGE INTO WAREHOUSE TB1 USING (SELECT INV_DATE_SK ,INV_ITEM_SK ,INV_WAREHOUSE_SK ,INV_QUANTITY_ON_HAND FROM INVENTORY WHERE INV_DATE_SK >40 AND INV_ITEM_SK > 18509578 )TB2 ON TB1.w_warehouse_sk=TB2.INV_WAREHOUSE_SK WHEN MATCHED THEN UPDATE SET W_STREET_NUMBER=TB2.INV_QUANTITY_ON_HAND;



SELECT DISTINCT W_WAREHOUSE_SK FROM WAREHOUSE EXCEPT SELECT DISTINCT INV_WAREHOUSE_SK FROM INVENTORY;

SELECT TB1.INV_DATE_SK,TB1.INV_QUANTITY_ON_HAND,TB2.W_WAREHOUSE_NAME FROM	INVENTORY TB1 INNER JOIN WAREHOUSE TB2 ON TB1.INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK WHERE TB1.INV_DATE_SK > 40;

SELECT TB1.INV_DATE_SK,TB1.INV_QUANTITY_ON_HAND,TB2.W_WAREHOUSE_NAME ,case when TB1.INV_WAREHOUSE_SK > 1173827074 then 1 else 0 end as case_warehouse_sk FROM	INVENTORY TB1 INNER JOIN WAREHOUSE TB2 ON INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK;


SELECT DISTINCT INV_DATE_SK,INV_ITEM_SK FROM INVENTORY QUALIFY ROW_NUMBER() OVER(PARTITION BY INV_WAREHOUSE_SK ORDER BY INV_WAREHOUSE_SK)=1;

SELECT * FROM WAREHOUSE W WHERE EXISTS (select * from INVENTORY I where I.INV_WAREHOUSE_SK = W.W_WAREHOUSE_SK);

SELECT UPPER(i_class) SportsClass, count(*) SoldPerClass, sum(ssm.ss_net_profit) ProfitPerClass from store_sales ssm , item itm, date_dim ddm where ddm.d_year=2002 and itm.i_item_sk = ssm.ss_item_sk and ddm.d_date_sk = ssm.ss_sold_date_sk and itm.i_rec_start_date IS NOT NULL and itm.i_class IS NOT NULL and EXTRACT (MONTH FROM itm.i_rec_start_date) between 10 and 12 and UPPER(itm.i_category) = 'SPORTS' and ssm.ss_net_profit > 500 group by i_class; 
 
