#! /bin/ksh
# Script generated by software licensed from Ab Initio.
# Use and disclosure are subject to Ab Initio confidentiality and license terms.
export AB_HOME;AB_HOME=${AB_HOME:-/export/apps/abinitio/abinitio-V2-15-3-2}
export MPOWERHOME;MPOWERHOME="$AB_HOME"
export PATH
typeset _ab_uname=`uname`
case "$_ab_uname" in
Windows_* )
    PATH="$AB_HOME/bin;$PATH" ;;
CYGWIN_* )
    PATH="`cygpath "$AB_HOME"`/bin:/usr/local/bin:/usr/bin:/bin:$PATH" ;;
* )
    PATH="$AB_HOME/bin:$PATH" ;;
esac
unset ENV
export AB_REPORT;AB_REPORT=${AB_REPORT:-'monitor=60 processes scroll=true'}
unset GDE_EXECUTION

export AB_COMPATIBILITY;AB_COMPATIBILITY=2.15.3.2

# Deployed execution script for graph "sfb_econsop03_filecheck", compiled at Friday, July 02, 2010 07:53:22 using GDE version 1.15.7.2
export AB_JOB;AB_JOB=${AB_JOB_PREFIX:-""}sfb_econsop03_filecheck
# Begin Ab Initio shell utility functions

: ${_ab_uname:=$(uname)}

function __AB_INVOKE_PROJECT
{
  typeset _AB_PROJECT_KSH="$1" ; shift
  typeset _AB_PROJECT_DIR="$1" ; shift
  typeset _AB_DEFINE_OR_EXECUTE="$1" ; shift
  typeset _AB_START_OR_END="$1" ; shift
  # Check that the project exists:
  if [ ! -r "$_AB_PROJECT_KSH" ] ; then
    print -r -u2 Warning: Cannot find common sandbox script: "$_AB_PROJECT_KSH"
    if [ ! -z "${_AB_CALLING_PROJECT:=}" ] ; then
      print -r -u2 Please check the common sandbox settings for the calling project: "$_AB_CALLING_PROJECT"
    fi
  fi
  if [ $# -gt 0 ] ; then
    . "$_AB_PROJECT_KSH" "$_AB_PROJECT_DIR" "$_AB_DEFINE_OR_EXECUTE" "$_AB_START_OR_END"  "$@"
  else
    . "$_AB_PROJECT_KSH" "$_AB_PROJECT_DIR" "$_AB_DEFINE_OR_EXECUTE" "$_AB_START_OR_END" 
  fi;
}

function __AB_DOTIT
{
  if [ $# -gt 0 ] ; then
    .  "$@"
  fi
}

function __AB_QUOTEIT {
  typeset queue q qq qed lotsaqs s trail
  q="'"
  qq='"'
  if [ X"$1" = X"" ] ; then
    print $q$q
    return
  fi
  lotsaqs=${q}${qq}${q}${qq}${q}
  if [ ${#1} -ge 10000 ]; then
    print -r -- "$1" | sed "s/$q/$lotsaqs/g; 1s/^/$q/; \$s/\$/$q/"
  else
    queue=${1%$q}
    if [ X"$queue" != X"$1" ] ; then
      trail="${qq}${q}${qq}" 
    else 
      trail=""
    fi
    oldIFS="$IFS"
    IFS=$q
    set -- $queue
    IFS="$oldIFS"
    print -rn "$q$1"
    shift
    for s; do
      print -rn "$lotsaqs$s"
    done
    print -r $q$trail
  fi
}

function __AB_dirname {
    case $_ab_uname in
    Windows_* | CYGWIN_* )
        typeset d='' p="$1"
        # Strip drive letter colon, if present, and put it into d.
        case $p in
        [A-Za-z]:* )
            d=${p%%:*}:
            p=${p#??}
            ;;
        esac
        # Remove trailing separators, though not the last character in the
        # pathname.
        while : true; do
            case $p in
            ?*[/\\] )
                p=${p%[/\\]} ;;
            * )
                break ;;
            esac
        done
        if [[ "$p" = ?*[/\\]* ]] ; then
            print -r -- "$d${p%[/\\]*}"
        elif [[ "$p" = [/\\]* ]] ; then
            print "$d/"
        else
            print "$d." 
        fi
        ;;
    * ) # Unix
        typeset p="$1"
        # Remove trailing separators, though not the last character in the
        # pathname.
        while : true; do
            case $p in
            ?*/ )
                p="${p%/}" ;;
            * )
                break ;;
            esac
        done
        case $p in
        ?*/* )
            print -r -- "${p%/*}" ;;
        /* )
            print / ;;
        * )
            print . ;;
        esac
        ;;
    esac
}

function __AB_concat_pathname {
    case $_ab_uname in
    Windows_* | CYGWIN_* )
        # Does not handle all cases of concatenating partially absolute
        # pathnames, those with only one of a drive letter or an initial
        # separator.
        case $2 in
        [/\\]* | [A-Za-z]:* )
            print -r -- "$2"
            ;;
        * )
            case $1 in
            # Assume that empty string means ".".  Avoid adding a
            # redundant separator.
            '' | *[/\\] )
                print -r -- "$1$2" ;;
            * )
                print -r -- "$1/$2" ;;
            esac
            ;;
        esac
        ;;
    * ) # Unix
        case $2 in
        /* )
            print -r -- "$2"
            ;;
        * )
            case $1 in
            # Assume that empty string means ".".  Avoid adding a
            # redundant separator.
            '' | */ )
                print -r -- "$1$2" ;;
            * )
                print -r -- "$1/$2" ;;
            esac
            ;;
        esac
        ;;
    esac
}

function __AB_COND {
if [ X"$1" = X0  -o X"$1" = Xfalse -o X"$1" = XFalse -o X"$1" = XF -o X"$1" = Xf ] ; then
  print "0"
else
  print "1"
fi
}

# End Ab Initio shell utility functions

if [ X"${PROJECT_DIR:-}" = X"" ]; then
  # Compute the script directory from $0
  __ab_arg0="$0"
  # Expand symlinks.
  while [ -L "$__ab_arg0" ]
  do
    if [ ! -f "$__ab_arg0" ]; then
      print -r \
"Internal error: '$0' is a symlink and some problem occurred expanding
it.  Please define the environment variable PROJECT_DIR to be the project
base directory before invoking this script."
      exit 1
    fi
    __ab_ls_output="$(/bin/ls -ld "$__ab_arg0")"
    __ab_target_pathname="${__ab_ls_output#*-> }"
    __ab_arg0="$(__AB_concat_pathname "$(__AB_dirname "$__ab_arg0")" "$__ab_target_pathname")"
  done
  
  __ab_script_dir="$(__AB_dirname "$__ab_arg0")"
fi

export AB_GRAPH_NAME;AB_GRAPH_NAME=sfb_econsop03_filecheck

_AB_PROXY_DIR=sfb_econsop03_filecheck-ProxyDir-$$
rm -rf "${_AB_PROXY_DIR}"
mkdir "${_AB_PROXY_DIR}"
print -r -- "" > "${_AB_PROXY_DIR}"'/GDE-Parameters'
function __AB_CLEANUP_PROXY_FILES
{
   rm -rf "${_AB_PROXY_DIR}"
   rm -rf "${AB_EXTERNAL_PROXY_DIR}"
   return
}
trap '__AB_CLEANUP_PROXY_FILES' EXIT
# Work around pdksh bug: the EXIT handler is not executed upon a signal.
trap '_AB_status=$?; __AB_CLEANUP_PROXY_FILES; exit $_AB_status' HUP INT QUIT TERM
# Project Parameters:
export PROJECT_DIR;PROJECT_DIR=${PROJECT_DIR:-"$(cd ${__ab_script_dir}/..; pwd)"}
case "$_ab_uname" in
CYGWIN_* )
   PROJECT_DIR="$(cygpath -m "$PROJECT_DIR")"
esac
typeset _AB_SAVED_PROJECT_DIR
_AB_SAVED_PROJECT_DIR="${PROJECT_DIR}"
_REPOSIT_TRACKING=$(m_env -get AB_GRAPH_SCRIPT_REPOSIT_TRACKING)
if [ X"${_REPOSIT_TRACKING}" = Xtrue -o \( \( X"${_REPOSIT_TRACKING}" = Xdefault -o X"${_REPOSIT_TRACKING}" = "X<unset>" \) -a X"${1}" = X-reposit-tracking \) ]; then
   if [ X"${1}" = X-reposit-tracking ]; then
      shift
   fi
   _AB_PROJECT_NAME=$(air sandbox find "${PROJECT_DIR}" -project)
   if [ $? != 0 ]; then
      print -r -- 'Warning: cannot determine path to project in EME datastore. Tracking will not be reposited.'
      _AB_PROJECT_NAME=""
   fi
   if [ "${_AB_PROJECT_NAME}" != "" ]; then
      export AB_MODIFIED_AIR_JOB_FILENAME;      AB_MODIFIED_AIR_JOB_FILENAME="${_AB_PROXY_DIR}"'/Air-Job-Name'
      export _AB_RUN_AND_REPOSIT;      _AB_RUN_AND_REPOSIT=1
      if ( grep rec-mode ${AB_HOME}/bin/run-and-reposit > /dev/null ) ; then
         if [ $# -gt 0 ]; then
            AB_GRAPH_SCRIPT_REPOSIT_TRACKING=false ${AB_HOME}/bin/run-and-reposit "${_AB_PROJECT_NAME}"'/mp/sfb_econsop03_filecheck.mp' "${_AB_PROJECT_NAME}" _abort "$0" "$@"
         else
            AB_GRAPH_SCRIPT_REPOSIT_TRACKING=false ${AB_HOME}/bin/run-and-reposit "${_AB_PROJECT_NAME}"'/mp/sfb_econsop03_filecheck.mp' "${_AB_PROJECT_NAME}" _abort "$0"
         fi
      else
         if [ $# -gt 0 ]; then
            AB_GRAPH_SCRIPT_REPOSIT_TRACKING=false ${AB_HOME}/bin/run-and-reposit "${_AB_PROJECT_NAME}"'/mp/sfb_econsop03_filecheck.mp' "${_AB_PROJECT_NAME}" "$0" "$@"
         else
            AB_GRAPH_SCRIPT_REPOSIT_TRACKING=false ${AB_HOME}/bin/run-and-reposit "${_AB_PROJECT_NAME}"'/mp/sfb_econsop03_filecheck.mp' "${_AB_PROJECT_NAME}" "$0"
         fi
      fi
      exit $?
   fi
fi
_AB_CALLING_PROJECT=""
if [ $# -gt 0 ]; then
   __AB_INVOKE_PROJECT "${_AB_SAVED_PROJECT_DIR}"/.project.ksh "${_AB_SAVED_PROJECT_DIR}" execute start "$@"
else
   __AB_INVOKE_PROJECT "${_AB_SAVED_PROJECT_DIR}"/.project.ksh "${_AB_SAVED_PROJECT_DIR}" execute start
fi

if [ $# -gt 0 -a X"$1" = X"-help" ]; then
exit 1
fi
export curr_act_dt;curr_act_dt=${curr_act_dt:-"${curr_act_dt}"}
export notify_dev_mail;notify_dev_mail=${notify_dev_mail:-""}
export notify_dev_pager;notify_dev_pager=${notify_dev_pager:-""}
. ./${_AB_PROXY_DIR}/GDE-Parameters

#+Script Start+  ==================== Edits in this section are preserved.
env | sort | grep -v -i password
export AB_REPORT="$AB_REPORT summary=${SERIAL_PERS_RPT}/${AB_JOB}.${curr_act_dt}.log"

#+End Script Start+  ====================
if [ -f "$AB_HOME/bin/ab_catalog_functions.ksh" ]; then . ab_catalog_functions.ksh; fi
if [ "${AB_MODIFIED_AIR_JOB_FILENAME}" != "" ] && [ "${AB_ORIGINAL_AIR_JOB}" != "" ] && [ "${AB_ORIGINAL_AIR_JOB}" != "${AB_AIR_JOB}" ]; then
   2>&1 air rm -r -f "${AB_AIR_JOB}"
   if [ $? != 0 ]; then
      print -r -- 'Warning: failed to remove job ""'"${AB_AIR_JOB}"'"".'
   fi
   2>&1 air mkdir -q "${AB_AIR_JOB%/*}"
   2>&1 air mv "${AB_ORIGINAL_AIR_JOB}" "${AB_AIR_JOB}"
   if [ $? != 0 ]; then
      print -r -- 'Warning: failed to rename job ""'"${AB_ORIGINAL_AIR_JOB}"'"" to ""'"${AB_AIR_JOB}"'"", which was specified in the project or graph parameter AB_AIR_JOB.'
   fi
   print -r -- "${AB_AIR_JOB}" > "${AB_MODIFIED_AIR_JOB_FILENAME}"
fi
mv "${_AB_PROXY_DIR}" "${AB_JOB}"'-sfb_econsop03_filecheck-ProxyDir'
_AB_PROXY_DIR="${AB_JOB}"'-sfb_econsop03_filecheck-ProxyDir'
print -r -- 'record
  string(10) SOP3_LOAN_NO;
  decimal(9) SOP3_LNDR_NO = NULL("");
  decimal(1) SOP3_REMIT_OPT = NULL("");
  date("YYYYMMDD") SOP3_RCL_RPUR_DATE = NULL("");
  string(2) SOP3_GL_ENTITY_COD = NULL("");
  string(1) SOP3_CONDUIT_CODE = NULL("");
  decimal(3) SOP3_ACC = NULL("");
  decimal(12.2) SOP3_ACTL_UPB_ACQS = NULL("");
  date("YYYYMM") SOP3_LPI_ACQSN = NULL("");
  decimal(12.2) SOP3_INT_PURD = NULL("");
  string(7) SOP3_PASS_THRU_RATE = NULL("");
  string(1) SOP3_LOAN_TYPE = NULL("");
  string("\n") newline;
  end;' > "${_AB_PROXY_DIR}"'/_export_appl_wr_stage_Synchrony_WR_RDW_reclass_curr_act_dt_dat-1.dml'
print -r -- 'out :: rollup(in) =
begin
  out.sop03_file_count :: count(1);
end;' > "${_AB_PROXY_DIR}"'/Rollup-2.xfr'
print -r -- 'record
  decimal("\n") sop03_file_count = NULL("");
end;' > "${_AB_PROXY_DIR}"'/Rollup-3.dml'
print -r -- 'string(1);' > "${_AB_PROXY_DIR}"'/Read_XML_for_SOP03-4.dml'
print -r -- '////////////////////////////////////////////////////////////////////////
// This file was automatically generated by xml-to-dml
// from /export/appl/wrdevl/Synchrony/WR/RDW_reclass.200709.meta
// with the command line arguments:
// -model full-object -parse exemplar -character-set utf-8 -parser xerces -namespaces prefix -use-length-prefixed-vectors -length-prefix-type big endian integer(4) -base-element outboundDocument -character-data-field cdata /export/appl/wrdevl/Synchrony/WR/RDW_reclass.200709.meta 
////////////////////////////////////////////////////////////////////////
 record

  // Attributes and children for outboundDocument:
  string('"'"'\0'"'"') cdata = '"'""'"';
  string('"'"'\0'"'"') formatVersion = '"'""'"';

  // Attributes and children for documentRoutingInfo:
  record
    string('"'"'\0'"'"') cdata = '"'""'"';
    string('"'"'\0'"'"') senderRoutingId = '"'""'"';
    string('"'"'\0'"'"') receiverRoutingId = '"'""'"';
  end   documentRoutingInfo;

  // Attributes and children for documentDataMetaInfo:
  record
    string('"'"'\0'"'"') cdata = '"'""'"';
    string('"'"'\0'"'"') payloadDirectoryUri = '"'""'"';

    // Attributes and children for payloadGroup:
    record
      string('"'"'\0'"'"') cdata = '"'""'"';
      string('"'"'\0'"'"') fileCount = '"'""'"';
      string('"'"'\0'"'"') trackingInfo = '"'""'"';

      // Attributes and children for payloadInfo:
      record
        string('"'"'\0'"'"') cdata = '"'""'"';

        // Attributes and children for payloadFile:
        record
          string('"'"'\0'"'"') cdata = '"'""'"';
          string('"'"'\0'"'"') type0 = '"'""'"';
          string('"'"'\0'"'"') subType = '"'""'"';
        end         payloadFile;

        // Attributes and children for payloadFileMetaInfo:
        record
          string('"'"'\0'"'"') cdata = '"'""'"';
          string('"'"'\0'"'"') timestamp = '"'""'"';
          string('"'"'\0'"'"') recordCount = '"'""'"';

          // Attributes and children for businessMetaInfo:
          record
            string('"'"'\0'"'"') cdata = '"'""'"';
            string('"'"'\0'"'"') totalUPB = '"'""'"';
            string('"'"'\0'"'"') recordCount = '"'""'"';
          end           businessMetaInfo;
        end         payloadFileMetaInfo;

        // Attributes and children for epfIntegration:
        record
          string('"'"'\0'"'"') cdata = '"'""'"';
          string('"'"'\0'"'"') action = '"'""'"';
          string('"'"'\0'"'"') interfaceId = '"'""'"';
          string('"'"'\0'"'"') accountingPeriodIdentifier = '"'""'"';
          string('"'"'\0'"'"') accountingPeriodNumber = '"'""'"';
          string('"'"'\0'"'"') applicationSystemId = '"'""'"';
          string('"'"'\0'"'"') executionDate = '"'""'"';

          // Attributes and children for produce:
          record
            string('"'"'\0'"'"') cdata = '"'""'"';
            string('"'"'\0'"'"') statusCode = '"'""'"';
            string('"'"'\0'"'"') totalRows = '"'""'"';
            string('"'"'\0'"'"') totalErrors = '"'""'"';
            string('"'"'\0'"'"') totalWarnings = '"'""'"';
          end           produce;
        end         epfIntegration;
      end       payloadInfo;
    end     payloadGroup;
  end   documentDataMetaInfo;

  // Introspection methods:
  int XML_introspection_version() = 2;
  int XML_schema_model() = 1;
  string('"'"'\0'"'"') XML_root_element() = '"'"'outboundDocument'"'"';
  string('"'"'\0'"'"') XML_base_element() = '"'"'outboundDocument'"'"';
  string('"'"'\0'"'"') XML_leaf_element() = '"'"'outboundDocument'"'"';
  string('"'"'\0'"'"') XML_character_data_field() = '"'"'cdata'"'"';
  string('"'"'\0'"'"') XML_element_attributes() = "outboundDocument=formatVersion,;documentRoutingInfo=;senderRoutingId=;receiverRoutingId=;documentDataMetaInfo=;payloadDirectoryUri=;payloadGroup=fileCount,trackingInfo,;payloadInfo=;payloadFile=type,subType,;payloadFileMetaInfo=timestamp,recordCount,;businessMetaInfo=;totalUPB=;recordCount=;epfIntegration=action,;interfaceId=;accountingPeriodIdentifier=;accountingPeriodNumber=;applicationSystemId=;executionDate=;produce=;statusCode=;totalRows=;totalErrors=;totalWarnings=;";
  string('"'"'\0'"'"') XML_element_children() = "outboundDocument=documentRoutingInfo,documentDataMetaInfo,;documentRoutingInfo=senderRoutingId,receiverRoutingId,;senderRoutingId=;receiverRoutingId=;documentDataMetaInfo=payloadDirectoryUri,payloadGroup,;payloadDirectoryUri=;payloadGroup=payloadInfo,;payloadInfo=payloadFile,payloadFileMetaInfo,epfIntegration,;payloadFile=;payloadFileMetaInfo=businessMetaInfo,;businessMetaInfo=totalUPB,recordCount,;totalUPB=;recordCount=;epfIntegration=interfaceId,accountingPeriodIdentifier,accountingPeriodNumber,applicationSystemId,executionDate,produce,;interfaceId=;accountingPeriodIdentifier=;accountingPeriodNumber=;applicationSystemId=;executionDate=;produce=statusCode,totalRows,totalErrors,totalWarnings,;statusCode=;totalRows=;totalErrors=;totalWarnings=;";

  // Name translations:
  int XML_prefix_namespaces() = 1;
  string('"'"'\0'"'"') XML_name_translations() = '"'"'type=type0;'"'"';
end;' > "${_AB_PROXY_DIR}"'/Read_XML_for_SOP03-5.dml'
print -r -- '/*Reformat operation*/
out::reformat(in) =
begin
  out.sop03_meta_count:: in.documentDataMetaInfo.payloadGroup.payloadInfo.payloadFileMetaInfo.recordCount;
end;' > "${_AB_PROXY_DIR}"'/Reformat_1_-6.xfr'
print -r -- 'record
  decimal("\n") sop03_meta_count = NULL("");
end;' > "${_AB_PROXY_DIR}"'/Reformat_1_-7.dml'
print -r -- 'out :: rollup(in) =
begin
  out.econ_file_count:: count(1);
end;' > "${_AB_PROXY_DIR}"'/Rollup_1-9.xfr'
print -r -- 'record
  decimal("\n") econ_file_count = NULL("");
end;' > "${_AB_PROXY_DIR}"'/Rollup_1-10.dml'
print -r -- '////////////////////////////////////////////////////////////////////////
// This file was automatically generated by xml-to-dml
// from /export/appl/wrdevl/Synchrony/WR/SIR_ECON_EXTRACT_LRF34002.meta.prior
// with the command line arguments:
// -model full-object -parse exemplar -character-set utf-8 -parser xerces -namespaces prefix -use-length-prefixed-vectors -length-prefix-type big endian integer(4) -base-element outboundDocument -character-data-field cdata /export/appl/wrdevl/Synchrony/WR/SIR_ECON_EXTRACT_LRF34002.meta.prior 
////////////////////////////////////////////////////////////////////////
record

  // Attributes and children for outboundDocument:
  string('"'"'\0'"'"') cdata = '"'""'"';
  string('"'"'\0'"'"') formatVersion = '"'""'"';

  // Attributes and children for documentRoutingInfo:
  record
    string('"'"'\0'"'"') cdata = '"'""'"';
    string('"'"'\0'"'"') senderRoutingId = '"'""'"';
    string('"'"'\0'"'"') receiverRoutingId = '"'""'"';
  end   documentRoutingInfo;

  // Attributes and children for documentDataMetaInfo:
  record
    string('"'"'\0'"'"') cdata = '"'""'"';
    string('"'"'\0'"'"') payloadDirectoryUri = '"'""'"';

    // Attributes and children for payloadGroup:
    record
      string('"'"'\0'"'"') cdata = '"'""'"';
      string('"'"'\0'"'"') fileCount = '"'""'"';
      string('"'"'\0'"'"') trackingInfo = '"'""'"';

      // Attributes and children for payloadInfo:
      record
        string('"'"'\0'"'"') cdata = '"'""'"';

        // Attributes and children for payloadFile:
        record
          string('"'"'\0'"'"') cdata = '"'""'"';
          string('"'"'\0'"'"') type0 = '"'""'"';
          string('"'"'\0'"'"') subType = '"'""'"';
        end         payloadFile;

        // Attributes and children for payloadFileMetaInfo:
        record
          string('"'"'\0'"'"') cdata = '"'""'"';
          string('"'"'\0'"'"') timestamp = '"'""'"';
          string('"'"'\0'"'"') recordCount = '"'""'"';

          // Attributes and children for businessMetaInfo:
          record
            string('"'"'\0'"'"') cdata = '"'""'"';
            string('"'"'\0'"'"') cnt = '"'""'"';

            // Attributes and children for ActgTotals:
            record
              string('"'"'\0'"'"') cdata = '"'""'"';
              string('"'"'\0'"'"') Rptg_Period = '"'""'"';
              string('"'"'\0'"'"') Ln_Stat_Cd = '"'""'"';
              string('"'"'\0'"'"') Ln_Cnt = '"'""'"';
              string('"'"'\0'"'"') Total_UPB = '"'""'"';
            end [big endian integer(4)] ActgTotals;
            string('"'"'\0'"'"') recordCount = '"'""'"';
          end           businessMetaInfo;
        end         payloadFileMetaInfo;

        // Attributes and children for epfIntegration:
        record
          string('"'"'\0'"'"') cdata = '"'""'"';
          string('"'"'\0'"'"') action = '"'""'"';
          string('"'"'\0'"'"') interfaceId = '"'""'"';
          string('"'"'\0'"'"') accountingPeriodIdentifier = '"'""'"';
          string('"'"'\0'"'"') accountingPeriodNumber = '"'""'"';
          string('"'"'\0'"'"') applicationSystemId = '"'""'"';
          string('"'"'\0'"'"') executionDate = '"'""'"';

          // Attributes and children for produce:
          record
            string('"'"'\0'"'"') cdata = '"'""'"';
            string('"'"'\0'"'"') statusCode = '"'""'"';
            string('"'"'\0'"'"') totalRows = '"'""'"';
            string('"'"'\0'"'"') totalErrors = '"'""'"';
            string('"'"'\0'"'"') totalWarnings = '"'""'"';
          end           produce;
        end         epfIntegration;
      end       payloadInfo;
    end     payloadGroup;
  end   documentDataMetaInfo;

  // Introspection methods:
  int XML_introspection_version() = 2;
  int XML_schema_model() = 1;
  string('"'"'\0'"'"') XML_root_element() = '"'"'outboundDocument'"'"';
  string('"'"'\0'"'"') XML_base_element() = '"'"'outboundDocument'"'"';
  string('"'"'\0'"'"') XML_leaf_element() = '"'"'outboundDocument'"'"';
  string('"'"'\0'"'"') XML_character_data_field() = '"'"'cdata'"'"';
  string('"'"'\0'"'"') XML_element_attributes() = "outboundDocument=formatVersion,;documentRoutingInfo=;senderRoutingId=;receiverRoutingId=;documentDataMetaInfo=;payloadDirectoryUri=;payloadGroup=fileCount,trackingInfo,;payloadInfo=;payloadFile=type,subType,;payloadFileMetaInfo=timestamp,recordCount,;businessMetaInfo=;cnt=;ActgTotals=;Rptg_Period=;Ln_Stat_Cd=;Ln_Cnt=;Total_UPB=;recordCount=;epfIntegration=action,;interfaceId=;accountingPeriodIdentifier=;accountingPeriodNumber=;applicationSystemId=;executionDate=;produce=;statusCode=;totalRows=;totalErrors=;totalWarnings=;";
  string('"'"'\0'"'"') XML_element_children() = "outboundDocument=documentRoutingInfo,documentDataMetaInfo,;documentRoutingInfo=senderRoutingId,receiverRoutingId,;senderRoutingId=;receiverRoutingId=;documentDataMetaInfo=payloadDirectoryUri,payloadGroup,;payloadDirectoryUri=;payloadGroup=payloadInfo,;payloadInfo=payloadFile,payloadFileMetaInfo,epfIntegration,;payloadFile=;payloadFileMetaInfo=businessMetaInfo,;businessMetaInfo=cnt,ActgTotals,recordCount,;cnt=;ActgTotals=Rptg_Period,Ln_Stat_Cd,Ln_Cnt,Total_UPB,;Rptg_Period=;Ln_Stat_Cd=;Ln_Cnt=;Total_UPB=;recordCount=;epfIntegration=interfaceId,accountingPeriodIdentifier,accountingPeriodNumber,applicationSystemId,executionDate,produce,;interfaceId=;accountingPeriodIdentifier=;accountingPeriodNumber=;applicationSystemId=;executionDate=;produce=statusCode,totalRows,totalErrors,totalWarnings,;statusCode=;totalRows=;totalErrors=;totalWarnings=;";

  // Name translations:
  int XML_prefix_namespaces() = 1;
  string('"'"'\0'"'"') XML_name_translations() = '"'"'type=type0;'"'"';
end;' > "${_AB_PROXY_DIR}"'/Read_XML_for_Econ_Extract-11.dml'
print -r -- '/*Reformat operation*/
out::reformat(in) =
begin
  out.econ_meta_count:: in.documentDataMetaInfo.payloadGroup.payloadInfo.payloadFileMetaInfo.recordCount;
end;' > "${_AB_PROXY_DIR}"'/Reformat_2-12.xfr'
print -r -- 'record
  decimal("\n") econ_meta_count = NULL("");
end;' > "${_AB_PROXY_DIR}"'/Reformat_2-13.dml'
print -r -- '/*Join transform*/
out::join(in0,in1,in2,in3)=
begin
  out.sop03_file_count:: in0.sop03_file_count;
  out.sop03_meta_count:: in1.sop03_meta_count;
  out.sop03_validity:: if ( is_valid(in0.sop03_file_count) && is_valid(in1.sop03_meta_count) && in0.sop03_file_count==in1.sop03_meta_count ) 
 "OK" 
 else "MISMATCH";
  out.econ_file_count :: in2.econ_file_count;
  out.econ_meta_count :: in3.econ_meta_count;
  out.econ_validity ::  if ( is_valid(in2.econ_file_count) && is_valid(in3.econ_meta_count) && in2.econ_file_count==in3.econ_meta_count ) 
 "OK" 
 else "MISMATCH";
end;' > "${_AB_PROXY_DIR}"'/Join-14.xfr'
print -r -- 'record
  string("|") sop03_file_count = NULL("");
  string("|") sop03_meta_count = NULL("");
  string("|") sop03_validity = NULL("");
  
  string("|") econ_file_count = NULL("");
  string("|") econ_meta_count = NULL("");
  string("\n") econ_validity = NULL("");
end;' > "${_AB_PROXY_DIR}"'/Join-15.dml'
print -r -- 'out::length(in) =
begin
  out :: 7;
end;


out::normalize(in, index) =
begin
  out.Field_Name:1: if (index == 0) "ECON File Count     ";
  out.Field_Value:1: if (index == 0) in.econ_file_count;
  out.Field_Name:2: if (index == 1) "ECON Meta Count     ";
  out.Field_Value:2: if (index == 1) in.econ_meta_count;
  out.Field_Name:3: if (index == 2) "ECON Validity Check ";
  out.Field_Value:3: if (index == 2) in.econ_validity;
  
  out.Field_Value:4: if (index == 3) "------------------------------";
  out.Field_Name:4: if (index == 3)  "------------------------------";
  
  out.Field_Name:5: if (index == 4) "SOP03 File Count     ";
  out.Field_Value:5: if (index == 4) in.sop03_file_count;
  out.Field_Name:6: if (index == 5) "SOP03 Meta Count     ";
  out.Field_Value:6: if (index == 5) in.sop03_meta_count;
  out.Field_Name:7: if (index == 6) "SOP03 Validity Check ";
  out.Field_Value:7: if (index == 6) in.sop03_validity;
  out.linefeed :: "\n";
end;' > "${_AB_PROXY_DIR}"'/Normalize_1-16.xfr'
print -r -- 'record
  string(30) Field_Name = '"'""'"';
  string(30) Field_Value = '"'""'"';
  string(1) linefeed = "\n";
end;' > "${_AB_PROXY_DIR}"'/Normalize_1-17.dml'

mp job ${AB_JOB}

# Layouts:
mp layout layout1 'file:/export/appl/wr'"${stage}"'/Synchrony/WR/SIR_ECON_EXTRACT_LRF34002.meta.prior'

# Record Formats (Metadata):
mp metadata metadata1 -file "${_AB_PROXY_DIR}"'/_export_appl_wr_stage_Synchrony_WR_RDW_reclass_curr_act_dt_dat-1.dml'
mp metadata metadata2 -file "${_AB_PROXY_DIR}"'/Rollup-3.dml'
mp metadata metadata3 -file "${_AB_PROXY_DIR}"'/Read_XML_for_SOP03-4.dml'
mp metadata metadata4 -file "${_AB_PROXY_DIR}"'/Read_XML_for_SOP03-5.dml'
mp metadata metadata5 -file "${_AB_PROXY_DIR}"'/Reformat_1_-7.dml'
mp metadata metadata6 -file "$DML"'/sfb_srcraw_laser.dml'
mp metadata metadata7 -file "${_AB_PROXY_DIR}"'/Rollup_1-10.dml'
mp metadata metadata8 -file "${_AB_PROXY_DIR}"'/Read_XML_for_Econ_Extract-11.dml'
mp metadata metadata9 -file "${_AB_PROXY_DIR}"'/Reformat_2-13.dml'
mp metadata metadata10 -file "${_AB_PROXY_DIR}"'/Join-15.dml'
mp metadata metadata11 -file "${_AB_PROXY_DIR}"'/Normalize_1-17.dml'

export AB_CATALOG;AB_CATALOG=${AB_CATALOG:-"${XX_CATALOG}"}
# Catalog Usage: Creating temporary catalog using lookup files only
m_rmcatalog -catalog GDE-sfb_econsop03_filecheck-${AB_JOB}.cat > /dev/null 2>&1
m_mkcatalog -catalog GDE-sfb_econsop03_filecheck-${AB_JOB}.cat
SAVED_CATALOG="${AB_CATALOG}"
export AB_CATALOG;AB_CATALOG='GDE-sfb_econsop03_filecheck-'"${AB_JOB}"'.cat'

# Files:
mp ifile _export_appl_wr_stage_Synchrony_WR_RDW_reclass_curr_act_dt_dat '/export/appl/wr'"${stage}"'/Synchrony/WR/RDW_reclass.'"${curr_act_dt}"'.dat'
mp ifile _export_appl_wr_stage_Synchrony_WR_RDW_reclass_curr_act_dt_meta '/export/appl/wr'"${stage}"'/Synchrony/WR/RDW_reclass.'"${curr_act_dt}"'.meta'
mp ifile _export_appl_wr_stage_Synchrony_WR_SIR_ECON_EXTRACT_LRF34002 'file:/export/appl/wr'"${stage}"'/Synchrony/WR/SIR_ECON_EXTRACT_LRF34002'
mp ifile _export_appl_wr_stage_Synchrony_WR_SIR_ECON_EXTRACT_LRF34002_meta_prior 'file:/export/appl/wr'"${stage}"'/Synchrony/WR/SIR_ECON_EXTRACT_LRF34002.meta.prior'
mp ofile _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat 'file:'"$SERIAL_PERS_LOG"'/econsop03_validity_'"${curr_act_dt}"'.dat'

# Components in phase 0:
mp rollup Rollup '{}' "${_AB_PROXY_DIR}"'/Rollup-2.xfr' -limit 0 -ramp 0.0 -check-sort -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp read-xml Read_XML_for_SOP03 -parser expat -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp reformat-transform Reformat_1_ -limit 0 -ramp 0.0 -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp add-port Reformat_1_.out.out0 ${_AB_PROXY_DIR:+"$_AB_PROXY_DIR"}'/Reformat_1_-6.xfr'
mp rollup Rollup_1 '{}' "${_AB_PROXY_DIR}"'/Rollup_1-9.xfr' -limit 0 -ramp 0.0 -check-sort -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp read-xml Read_XML_for_Econ_Extract -parser expat -layout layout1
mp reformat-transform Reformat_2 -limit 0 -ramp 0.0 -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp add-port Reformat_2.out.out0 ${_AB_PROXY_DIR:+"$_AB_PROXY_DIR"}'/Reformat_2-12.xfr'
mp merge-join Join '{}' "${_AB_PROXY_DIR}"'/Join-14.xfr' -max-core "${FS_MAXCORE}" -limit 0 -ramp 0.0 -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp add-port Join.in.in0 -matchoptional
mp add-port Join.in.in1 -matchoptional
mp add-port Join.in.in2 -matchoptional
mp add-port Join.in.in3 -matchoptional
mp select-transform sop03_validity_MISMATCH_econ_validity_MISMATCH_ 'sop03_validity=="MISMATCH" || econ_validity=="MISMATCH"' -limit 0 -ramp 0.0 -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat
mp normalize Normalize_1 "${_AB_PROXY_DIR}"'/Normalize_1-16.xfr' -limit 0 -ramp 0.0 -layout _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat

# Flows for Entire Graph:
mp straight-flow Flow_3 _export_appl_wr_stage_Synchrony_WR_RDW_reclass_curr_act_dt_dat.read Rollup.in -metadata metadata1
mp straight-flow Flow_1 _export_appl_wr_stage_Synchrony_WR_RDW_reclass_curr_act_dt_meta.read Read_XML_for_SOP03.in -metadata metadata3
mp straight-flow Flow_2 Read_XML_for_SOP03.out Reformat_1_.in -metadata metadata4
mp straight-flow Flow_8 _export_appl_wr_stage_Synchrony_WR_SIR_ECON_EXTRACT_LRF34002.read Rollup_1.in -metadata metadata6
mp straight-flow Flow_4 _export_appl_wr_stage_Synchrony_WR_SIR_ECON_EXTRACT_LRF34002_meta_prior.read Read_XML_for_Econ_Extract.in -metadata metadata3
mp straight-flow Flow_7 Read_XML_for_Econ_Extract.out Reformat_2.in -metadata metadata8
mp straight-flow Flow_6 Rollup.out Join.in.in0 -metadata metadata2
mp straight-flow Flow_5 Reformat_1_.out.out0 Join.in.in1 -metadata metadata5
mp straight-flow Flow_10 Rollup_1.out Join.in.in2 -metadata metadata7
mp straight-flow Flow_9 Reformat_2.out.out0 Join.in.in3 -metadata metadata9
mp straight-flow Flow_11 Join.out sop03_validity_MISMATCH_econ_validity_MISMATCH_.in -metadata metadata10
mp straight-flow Flow_12 sop03_validity_MISMATCH_econ_validity_MISMATCH_.out Normalize_1.in -metadata metadata10
mp straight-flow Flow_13 Normalize_1.out _SERIAL_PERS_LOG_econsop03_validity__curr_act_dt_dat.write -metadata metadata11

unset AB_COMM_WAIT
mp run
mpjret=$?
unset AB_COMM_WAIT
unset AB_TRACKING_GRAPH_THUMBPRINT
mp reset
m_rmcatalog > /dev/null 2>&1
export XX_CATALOG;XX_CATALOG="${SAVED_CATALOG}"
export AB_CATALOG;AB_CATALOG="${SAVED_CATALOG}"

#+Script End+  ==================== Edits in this section are preserved.
echo "MPJRET=$mpjret"
if [[ $mpjret -eq 0 ]]; then

  if [[ $stage = 'prod' ]]; then
    if [[ -s $SERIAL_PERS_LOG/econsop03_validity_${curr_act_dt}.dat ]]; then
    cat $SERIAL_PERS_LOG/econsop03_validity_${curr_act_dt}.dat | mailx -s "Failure! ECON/SOP03 Count Mismatch for Book ${curr_act_dt}  env:$stage " ${notify_dev_mail},${notify_dev_pager}
    echo "Failure! ECON/SOP03 Count Mismatch Error. See autosys log and $SERIAL_PERS_LOG/econsop03_validity_${curr_act_dt}.dat for more details"
    exit 55;
    fi;
  elif [[ $stage = 'devl' || $stage = 'test' ]]; then
    if [[ -s $SERIAL_PERS_LOG/econsop03_validity_${curr_act_dt}.dat ]]; then
    cat $SERIAL_PERS_LOG/econsop03_validity_${curr_act_dt}.dat | mailx -s "Failure! ECON/SOP03 Count Mismatch for Book ${curr_act_dt}  env:$stage " ${notify_dev_mail}
    echo "Failure! ECON/SOP03 Count Mismatch Error. See autosys log and $SERIAL_PERS_LOG/econsop03_validity_${curr_act_dt}.dat for more details"
    exit 55;
    fi;
  fi;

else
 echo "Failure! Graph failed before validating the ECON/SOP03 count. See autosys log for more details"
 exit 6;

fi;


#+End Script End+  ====================
# Project Script end
_AB_CALLING_PROJECT=""
if [ $# -gt 0 ]; then
   __AB_INVOKE_PROJECT "${_AB_SAVED_PROJECT_DIR}"/.project.ksh "${_AB_SAVED_PROJECT_DIR}" execute end "$@"
else
   __AB_INVOKE_PROJECT "${_AB_SAVED_PROJECT_DIR}"/.project.ksh "${_AB_SAVED_PROJECT_DIR}" execute end
fi

exit $mpjret
